Rails.application.routes.draw do
  post 'oauth/callback', to: 'oauths#callback'
  get 'oauth/callback', to: 'oauths#callback'
  get 'oauth/:provider', to: 'oauths#oauth', as: :auth_at_provider

  get 'parents', to: 'parents#index', as: :list_parents
  get 'parent/new', to: 'parents#new', as: :new_parent
  post 'parent/new', to: 'parents#add', as: :add_parent
  get 'parent/edit/:id', to: 'parents#edit', as: :edit_parent
  get 'parent/:id', to: 'parents#show', as: :parent
  patch 'parent/:id', to: 'parents#update', as: :update_parent

  post 'parenthood/child/:child', to: 'relationships#add_child', as: :add_parent_to_child
  post 'parenthood/:parent/', to: 'relationships#add_child', as: :add_parenthood
  delete 'parenthood/:parent/:child', to: 'relationships#del_child', as: :del_parenthood

  get 'children', to: 'children#index', as: :list_children
  get 'child/new', to: 'children#new', as: :new_child
  post 'child/new', to: 'children#add', as: :add_child
  get 'childdit/:id', to: 'children#edit', as: :edit_child
  get 'child/:id', to: 'children#show', as: :child
  patch 'child/:id', to: 'children#update', as: :update_child

  get 'staff', to: 'staff#index', as: :list_staff

  get 'users', to: 'users#index', as: :list_users

  get 'pages', to: 'pages#index', as: :list_pages
  get 'page/(:id)', to: 'pages#page', as: :page_person
  post 'page', to: 'pages#send_page', as: :send_page

  root to: 'docs#index'
end
