# encoding: UTF-8
# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 20151008022535) do

  create_table "authentications", force: :cascade do |t|
    t.integer  "person_id",  limit: 4,   null: false
    t.string   "provider",   limit: 255, null: false
    t.string   "uid",        limit: 255, null: false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "authentications", ["provider", "uid"], name: "index_authentications_on_provider_and_uid", using: :btree

  create_table "children", force: :cascade do |t|
    t.string "first_name", limit: 255
    t.string "last_name",  limit: 255
  end

  create_table "pages", force: :cascade do |t|
    t.integer  "user_id",    limit: 4
    t.integer  "person_id",  limit: 4
    t.string   "to",         limit: 255
    t.string   "message",    limit: 255
    t.string   "status",     limit: 255
    t.datetime "created_at",             null: false
    t.datetime "updated_at",             null: false
  end

  create_table "parenthoods", force: :cascade do |t|
    t.integer "person_id", limit: 4
    t.integer "child_id",  limit: 4
  end

  add_index "parenthoods", ["person_id", "child_id"], name: "parentship", using: :btree

  create_table "people", force: :cascade do |t|
    t.string   "first_name",                  limit: 255
    t.string   "last_name",                   limit: 255
    t.string   "phone",                       limit: 255
    t.string   "email",                       limit: 255, null: false
    t.boolean  "admin"
    t.boolean  "staff"
    t.string   "activation_state",            limit: 255
    t.string   "activation_token",            limit: 255
    t.datetime "activation_token_expires_at"
  end

  add_index "people", ["activation_token"], name: "index_people_on_activation_token", using: :btree
  add_index "people", ["email"], name: "index_people_on_email", unique: true, using: :btree
  add_index "people", ["phone"], name: "index_people_on_phone", using: :btree

end
